#/bin/sh
# dbunconf.sh
# Sample script to delete TKLM WAS configuration objects
# (TKLM_HOME env var, JDBC driver path, J2C authentication aliases,
# JDBC Provider & DataSource)

# WAS_HOME=C:\Program Files\IBM\tivoli\tip

# Args for dbconf.py script:
# arg1 - node-name (eg: aserachiNode01)
#   arg2 - server-name (eg: server1)
#   arg3 - tklm home-path (eg: \"C:/Program Files/IBM/tklm\") (currently not used, but  might be useful in future)
#   arg4 - jdbc-path (eg: C:/PROGRA~1/IBM/SQLLIB/java/)
#   arg5 - tklm_db_user (eg: tklmdb)
#   arg6 - tklm-pwd (eg: secret)
#   arg7 - db2 url (eg: jdbc:db2://<machine name>:<port>/<database name>)
#
# Commented out values suitable for the RAD bundled WAS, with no security
#CREDENTIALS=
CREDENTIALS="-user iscadmin -password iscpass"
#PROFILE=AppSrv01
PROFILE=TIPProfile
#NODE=localhostNode01
NODE=TIPNode
SERVER=server1

WSADMINCMD=$WAS_HOME/bin/wsadmin.sh

$WSADMINCMD $CREDENTIALS -lang jython -profileName $PROFILE -f dbunconf.py $NODE $SERVER
