import string, sys

dbReposName=""
ldapReposName=""


if len(sys.argv) < 1 or len(sys.argv) > 1:
  sys.stderr.write("Invalid number of arguments\n. Usage: command <LDAP Repository Name")
  sys.exit(101)
else:
  if len(sys.argv) == 1:
     ldapReposName = sys.argv[0]
   

## Update the repositoriesForGroup config value for LDAP Repostiory with the DB Repos name
try:
    params = "[-id " + ldapReposName + " -repositoriesForGroups SKLMDBRepos]"
    print "Updating LDAP Repository config"
    result = AdminTask.updateIdMgrRepository(params)
    print result
    print "Updated LDAP Repository config... with repositoriesForGroups = SKLMDBRepos"
except:
   print "Exception updating  LDAP Repository config " + result
   
try:
    print "Saving config"
    result = AdminConfig.save()
except:
   print "Exception - " + result   