#!/bin/ksh
# Licensed Materials-Property of IBM
# (C)Copyright IBM Corp 2009
# All rights reserved
# US Government Users Restricted Rights
# Use, duplication, or disclosure restricted
# by GSA ADP Schedule Contract with IBM Corp
#
# recreatetask.sh
# Internal script to test connection to tip

# Args for recreatetask.py script:
# arg1 -  WAS_HOME
#   arg2 - tklm username
#   arg3 - tklm password
#   arg4 - roll over task file
#   arg5 - log file created by recreatetask.py
#   arg6 - SKLM_HOME
#
#CREDENTIALS=
WAS_HOME=$1
CREDENTIALS="-user $2 -password $3"
TASKSFILENAME=$4
LOGFILENAME=$5
SKLM_HOME=$6
PROFILE=KLMProfile

echo "WAS HOME - $WAS_HOME"
echo "ROLLOVERTASKFILE - $TASKSFILENAME"
echo "RecreateRolloverScriptLog - $LOGFILENAME"
echo "SKLM_HOME - $SKLM_HOME"

WSADMINCMD=$WAS_HOME/bin/wsadmin.sh

$WSADMINCMD $CREDENTIALS -lang jython -profileName $PROFILE -f $SKLM_HOME/migration/bin/recreatetask.py $TASKSFILENAME $LOGFILENAME 
