#!/bin/ksh
# start_stop_tip.sh
# Internal script to start/stop tip server

# Args for tipconf.py script:
#   arg1 -  WAS_HOME
#   arg2 - tip user
#   arg3 - tip password
#   arg4 - action
#
#CREDENTIALS=
WAS_HOME=$1
CREDENTIALS="-user $2 -password $3"
ACTION=$4
PROFILE=TIPProfile
NODE=TIPNode
SERVER=server1

STOPCMD="$WAS_HOME/bin/stopServer.sh $SERVER $CREDENTIALS" 
STARTCMD="$WAS_HOME/bin/startServer.sh $SERVER $CREDENTIALS"

if [ $ACTION -eq 0 ]; then 
$STOPCMD
echo "Return=0"
else
$STARTCMD
echo "Return=0"
fi
exit 0
