#!/bin/ksh
# Licensed Materials-Property of IBM
# (C)Copyright IBM Corp 2009
# All rights reserved
# US Government Users Restricted Rights
# Use, duplication, or disclosure restricted
# by GSA ADP Schedule Contract with IBM Corp
#
# tipconnect.sh
# Internal script to test connection to tip

# Args for tipconect.py script:
# arg1 -  v2_tip_home
# arg2 -  WAS_HOME
# arg3 - user
# arg4 - password
#
#CREDENTIALS=
V2_TIP_HOME=$1
WAS_HOME=$2
CREDENTIALS="-user $3 -password $4"
PROFILE=TIPProfile
NODE=TIPNode
SERVER=server1

V2_TKLM_HOME=${V2_TIP_HOME}/products/tklm

WSADMINCMD=$WAS_HOME/bin/wsadmin.sh

$WSADMINCMD $CREDENTIALS -lang jython -profileName $PROFILE -f ${V2_TKLM_HOME}/migration/bin/tipconnect.py $NODE $SERVER
