#!/bin/sh
#set -x
# Licensed Materials-Property of IBM
# (C)Copyright IBM Corp 2008
# All rights reserved
# US Government Users Restricted Rights
# Use, duplication, or disclosure restricted
# by GSA ADP Schedule Contract with IBM Corp
# 
# The script is to be called from the IBM Security Key Life Cycle Manager 
# Installer
# arg1 -  dbinstance_owner_home - (For example /home/db2inst2)
# arg2 -  instance  -  instance name (for example db2inst2) 
# arg3 -  dbport - - database port 
#
#------------------------------------------------------------------------------

DB_INST_HOME=$1
DB_INST_NAME=$2
PORT=$3
sudo echo db2c_$DB_INST_NAME	$PORT/tcp >> /etc/services
sudo sed -i 's/ENABLE_OS_AUTHENTICATION=NO/ENABLE_OS_AUTHENTICATION=YES/' $DB_INST_HOME/sqllib/instance/db2rfe.cfg
sudo $DB_INST_HOME/sqllib/adm/db2stop force   > /dev/null
sudo $DB_INST_HOME/sqllib/instance/db2rfe -f $DB_INST_HOME/sqllib/instance/db2rfe.cfg > /dev/null
su -l $DB_INST_NAME -c "$DB_INST_HOME/sqllib/adm/db2set db2comm=tcpip" > /dev/null
su -l $DB_INST_NAME  -c  $DB_INST_HOME/sqllib/adm/db2start > /dev/null

