## Create LTOAdmin, LTOAuditor and LTOOperator, klmBackupRestore,klmGUICLIAccess, klmSecurityOfficer groups in DB Repository
try:
    print "Creating LTOAdmin Group..."
    result = AdminTask.createGroup('[-cn LTOAdmin -parent "o=sklmrepdb.ibm"]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName suppressmonitor -groupids LTOAdmin]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmCreate -groupids LTOAdmin]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmGet -groupids LTOAdmin]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmBackup -groupids LTOAdmin]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmAudit -groupids LTOAdmin]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmConfigure -groupids LTOAdmin]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmView -groupids LTOAdmin]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmDelete -groupids LTOAdmin]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmModify -groupids LTOAdmin]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName LTO -groupids LTOAdmin]')	
   
    
    print "Created LTOAdmin Group in DB Repos"
except:
   print "Exception Creating LTOAdmin Group  in DB Repos- " + result
   
try:
    ##params = "[-id " + ldapReposName + " -repositoriesForGroups SKLMDBRepos"]"
    print "Crreating LTOAuditor Group..."
    result = AdminTask.createGroup('[-cn LTOAuditor -parent "o=sklmrepdb.ibm"]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName suppressmonitor -groupids LTOAuditor]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName LTO -groupids LTOAuditor]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmAudit -groupids LTOAuditor]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmView -groupids LTOAuditor]')	
    
    
    print "Created LTOAuditor Group in DB Repos"
except:
   print "Exception Crreating LTOAuditor Group  in DB Repos - " + result   

try:
    ##params = "[-id " + ldapReposName + " -repositoriesForGroups SKLMDBRepos"]"
    print "Creating LTOOperator Group..."
    result = AdminTask.createGroup('[-cn LTOOperator -parent "o=sklmrepdb.ibm"]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName suppressmonitor -groupids LTOOperator]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName LTO -groupids LTOOperator]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmModify -groupids LTOOperator]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmCreate -groupids LTOOperator]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmBackup -groupids LTOOperator]')	
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmView -groupids LTOOperator]')		
    
    
    print "Created LTOOperator Group in DB Repos"
except:
   print "Exception Creating LTOOperator Group  in DB Repos - " + result  

try:
    ##params = "[-id " + ldapReposName + " -repositoriesForGroups SKLMDBRepos"]"
    print "Creating klmBackupRestoreGroup Group..."
    result = AdminTask.createGroup('[-cn klmBackupRestoreGroup -parent "o=sklmrepdb.ibm"]')	
    result = AdminTask.mapGroupsToAdminRole('[-roleName suppressmonitor -groupids klmBackupRestoreGroup]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmRestore -groupids klmBackupRestoreGroup]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmBackup -groupids klmBackupRestoreGroup]')		

    
    print "Created klmBackupRestoreGroup in DB Repos"
except:
   print "Exception Creating klmBackupRestoreGroup  in DB Repos - " + result 

try:
    ##params = "[-id " + ldapReposName + " -repositoriesForGroups SKLMDBRepos"]"
    print "Creating klmGUICLIAccess Group..."
    result = AdminTask.createGroup('[-cn klmGUICLIAccessGroup -parent "o=sklmrepdb.ibm"]')	
    result = AdminTask.mapGroupsToAdminRole('[-roleName suppressmonitor -groupids klmGUICLIAccessGroup]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName Monitor -groupids klmGUICLIAccessGroup]')	

    
    print "Created klmGUICLIAccessGroup in DB Repos"
except:
   print "Exception Creating klmGUICLIAccess Group  in DB Repos - " + result 

try:
    ##params = "[-id " + ldapReposName + " -repositoriesForGroups SKLMDBRepos"]"
    print "Creating klmSecurityOfficer Group..."
    result = AdminTask.createGroup('[-cn klmSecurityOfficerGroup -parent "o=sklmrepdb.ibm"]')	
    result = AdminTask.mapGroupsToAdminRole('[-roleName suppressmonitor -groupids  klmSecurityOfficerGroup]')
    result = AdminTask.mapGroupsToAdminRole('[-roleName klmSecurityOfficer -groupids  klmSecurityOfficerGroup]')	

    
    print "Created  klmSecurityOfficerGroup in DB Repos"
except:
   print "Exception Creating klmSecurityOfficer Group  in DB Repos - " + result 

   
try:
    print "Saving config"
    result = AdminConfig.save()
except:
   print "Exception - " + result      