import string, sys

washome=""
sklmdbuser = ""
sklmdbuserpasswd = ""
sklmdbport= ""

if len(sys.argv) < 5 or len(sys.argv) > 5:
  sys.stderr.write("Invalid number of arguments\n. Usage: command <WASHOME> <SKLMDBNAME> <SKLMDBUSER> <SKLMDBUSERPASSWD> <SKLMDB PORT#>")
  sys.exit(101)
else:
  if len(sys.argv) == 5:
     washome = sys.argv[0]
     print "washome=" + washome
     sklmdbname = sys.argv[1]
     sklmdbuser = sys.argv[2]
     sklmdbuserpasswd = sys.argv[3]  
     sklmdbport=sys.argv[4]

##Create DB Repository tables in SKLM DB. Add  Base entry to DB respository and add this base entry as a search base entry for the defaul realm
try:
    params = "[-schemaLocation \"" + washome + "/etc/wim/setup\" -dbPropXML \"" + washome + \
   "/etc/wim/setup/wimdbproperties.xml\" -databaseType db2 -dbURL \"jdbc:db2://localhost:" + sklmdbport + "/" + sklmdbname + "\"" + \
    " -dbDriver com.ibm.db2.jcc.DB2Driver -dbAdminId " + sklmdbuser + " -dbAdminPassword " + sklmdbuserpasswd + " -dn o=sklmrepdb.ibm -reportSqlError true]"
    print "Creating DB Repository Tables in SKLM DB.."
    result = AdminTask.setupIdMgrDBTables(params)
    print result
    print "Created DB Repository Tables in SKLM DB.."
except:
   print "Exception Creating DB Repository tables - " + result

## Create a DB Repository 
try:
   params = "[-id SKLMDBRepos -dataSourceName \"jdbc/wimXADS\"" + \
   " -databaseType db2 -dbURL \"jdbc:db2://localhost:" + sklmdbport + "/" + sklmdbname + "\"" + \
   " -JDBCDriverClass com.ibm.db2.jcc.DB2Driver -dbAdminId " + sklmdbuser + " -dbAdminPassword " + sklmdbuserpasswd + "]"
   print "Creating DB Repository.."
   result = AdminTask.createIdMgrDBRepository(params)
   print result
   print "Created DB Repository - SKLMDBRepos..." + result
except:   
    print result 
    print "Exception Creating DB Repository - " + result

## Add a base entry to the DB Repository	
try:
    params = "[-id SKLMDBRepos -name \"o=sklmrepdb.ibm\"]"
    print "Adding DB Repository base entry..."
    result = AdminTask.addIdMgrRepositoryBaseEntry(params)
    print result
    print "Added DB Repository base entry - o=sklmrepdb.ibm..." + result
except:   
    print "Exception - Adding DB Repository base entry - " + result	

## Add the DB Repository Base Entry to realm	
try:
    params = "[-name defaultWIMFileBasedRealm -baseEntry \"o=sklmrepdb.ibm\" ]"
    print "Adding base entry to realm..."
    result = AdminTask.addIdMgrRealmBaseEntry('[-name defaultWIMFileBasedRealm -baseEntry "o=sklmrepdb.ibm" ]')
    print result
    print "Added base entry to realm - o=sklmrepdb.ibm..." + result
except:   
    print "Exception - Adding base entry to realm - " + result	

## Save the changes to config	
try:
   print "Saving Config..."	
   result = AdminConfig.save()
except:
   print "Exception - " + result	
   