##to invoke the script, you have to pass four arguements: <pathV1 or V2> <path v3> <user to ignore> 
# <log with path> < 1 - if update password only 0 - add users only>
import string
import sys
import shutil
from java.util import Calendar, Date
from java.io import File, BufferedReader, FileReader, IOException


#Need to see what users are in V1 or V2 for later creation
def FindUsers ():
	writeLog( "In FindUsers" )
	pathfiletoMigF = pathv1v2 + "/profiles/TIPProfile/config/cells/TIPCell/fileRegistry.xml"
	try:
		f = File( pathfiletoMigF )
		bufStream = BufferedReader( FileReader( f ))
		while 1:
			line = bufStream.readLine()
			if(line is None): 
				writeLog( "Done FindUsers" )
				break
			if(line.find("wim:PersonAccount") != -1): 
				uid = ""
				cn = ""
				sn = ""
				pwd = ""
				while (line.find("</wim:entities>") == -1):
					line = bufStream.readLine() 
					if(line.find("<wim:uid>") != -1):
						uid = line.replace("<wim:uid>"," ")
						uid = uid.replace("</wim:uid>"," ")
						uid = uid.strip()
					if(line.find("<wim:cn>") != -1):
						cn = line.replace("<wim:cn>"," ")
						cn = cn.replace("</wim:cn>"," ")
						cn = cn.strip()
					if(line.find("<wim:sn>") != -1):
						sn = line.replace("<wim:sn>"," ")
						sn = sn.replace("</wim:sn>"," ")
						sn = sn.strip()
					if(line.find("<wim:password>") != -1):
						pwd = line
				try:
					if(cmp(userIgnore, uid) != 0):
						writeLog(uid + "==" + userIgnore)
						if(passwdUptOnly == "0"):
							createUsr(uid, cn, sn, pwd)
							addUsertoCLIGUIAdminGroup(uid)
						else:
							pwdList.append([uid,pwd])
				except:
					continue
                        
				#endWhile
		 #endWhile
		return 0
	except:
		writeLog( "Done FindUsers file not found" )
		return 101

def createUsr (uid,cn,sn,passwd):
	try:
		params = "[-uid " + uid +" -password " + sklmadminpwd + " -sn " + sn + " -cn " + cn + "]"
		AdminTask.createUser(params)
		rsList.append(uid + " Good")
	except:     
		rsList.append(uid + " Failed")

def addUsertoCLIGUIAdminGroup (uid):
	try:
		params= "[-memberUniqueName  uid="+ uid + ",o=defaultWIMFileBasedRealm -groupUniqueName  cn=klmGUICLIAccessGroup,o=defaultWIMFileBasedRealm]"
		writeLog(params)
		result = AdminTask.addMemberToGroup(params)
		rsList.append(uid + " Add Member to group = Good")
	except:     
		rsList.append(uid + " Add Member to group = Failed")
                    
def UpdatePasswords(): 
	writeLog( "In UpdatePasswords" )
	pathfiletoMigF = pathv3 + "/profiles/KLMProfile/config/cells/SKLMCell/fileRegistry.xml.bkup"
	pathfiletoMigT = pathv3 + "/profiles/KLMProfile/config/cells/SKLMCell/fileRegistry.xml"
	try:
		f = File( pathfiletoMigF )
		bufStream = BufferedReader( FileReader( f ))
		outputFile = open(pathfiletoMigT, "w")
		while 1:
			line = bufStream.readLine()
			if(line is None): break
			linesave = ""
			if(line.find("wim:PersonAccount") != -1): 
				outputFile.write(line);
				outputFile.write("\n");
				while (line.find("</wim:entities>") == -1):
					line = bufStream.readLine()  
					if(line.find("<wim:uid>") != -1):
						uid = line.replace("<wim:uid>"," ")
						uid = uid.replace("</wim:uid>"," ")
						uid = uid.strip()  
						line2 = findPassword(uid)
						writeLog("Updating password for uid = " + uid)
						#writeLog("line2 = " + str(line2))
						if line2 is None:
							line2 = linesave
						outputFile.write(line2);
						outputFile.write("\n");
					if(line.find("<wim:password>") != -1):
						linesave = line
						continue
					else:
						outputFile.write(line);
						outputFile.write("\n");
				#endwhile
			else:
				outputFile.write(line);
				outputFile.write("\n");
		#endwhile
		outputFile.close()
		writeLog( "Done with UpdatePasswords" )
		return 0
	except:
		writeLog( "Done UpdatePasswords file error" )
		return 101


def findPassword(uid):
	for x in pwdList[:]:
		if (x[0].find(uid) != -1):
			return x[1]
	writeLog( "uid: " +uid +" not found" )
	return None

def openLog():
	file = open(logpath, "a+b")
	return file

def writeLog(record):
	logF.write(record);
	logF.write("\n");

def closeLog():
	logF.close()

#  Main code  

tipuser = ""
sklmadminpwd = "sdh3df5ghy14DE47"
pathv1v2 = ""
pathv3 = ""
pwdList=[]
rsList=[]
userIgnore = ""
logpath = ""
rc = 0
passwdUptOnly = ""

if len(sys.argv) < 5 or len(sys.argv) > 5:
	sys.stderr.write("Invalid number of arguments\n")
	sys.exit(101)
else:
  if len(sys.argv) == 5:
	pathv1v2 = sys.argv[0]
	pathv3 = sys.argv[1]  
	userIgnore = sys.argv[2]  
	logpath = sys.argv[3]
	passwdUptOnly = sys.argv[4]

	#open the logfile for audit
	logF = openLog()
	cal = Calendar.getInstance()
	date = cal.getTime()
	writeLog("Starting migrateUsers.py: " + date.toString())
	writeLog("pathv1v2=" + pathv1v2)
	writeLog("pathv3=" + pathv3)
	writeLog("userIgnore=" + userIgnore)
	writeLog("passwdUptOnly=" + passwdUptOnly)

	rc = FindUsers()

	if(rc == 0 and passwdUptOnly == "1"):
		# Backup the fileRegistry 
		pathfiletoMigF = pathv3 + "/profiles/KLMProfile/config/cells/SKLMCell/fileRegistry.xml"
		pathfiletoMigT = pathv3 + "/profiles/KLMProfile/config/cells/SKLMCell/fileRegistry.xml.bkup"
		shutil.copy2(pathfiletoMigF, pathfiletoMigT)
        
		rc = UpdatePasswords()
		#writeLog(str(pwdList))
	else:
		writeLog( "rsList = " + str(rsList) )

	writeLog("Error code = " + str(rc))
	cal = Calendar.getInstance()
	date = cal.getTime()
	writeLog("Ending migrateUsers.py: " + date.toString())
	writeLog("\n")
	#close the logfile for audit
	closeLog()

