#!/bin/ksh
# Licensed Materials-Property of IBM
# (C)Copyright IBM Corp 2009
# All rights reserved
# US Government Users Restricted Rights
# Use, duplication, or disclosure restricted
# by GSA ADP Schedule Contract with IBM Corp
#
# removetklmui.sh - removes the datasource from old tip 
# Internal script to test connection to tip

# Args for tipconf.py script:
#   arg1 - NEW_TIP_HOME
#   arg2 - OLD_TIP_HOME
#   arg3 - tip username
#   arg4 - tip password
#   arg5 - log file created by removeds.py
#
#CREDENTIALS=
NEW_TIP_HOME=$1
OLD_TIP_HOME=$2
TKLM_HOME=$1/products/tklm
CREDENTIALS="-user $3 -password $4"
LOGFILENAME=$5
PROFILE=TIPProfile
NODE=TIPNode
SERVER=server1

WSADMINCMD=$OLD_TIP_HOME/bin/wsadmin.sh

$WSADMINCMD $CREDENTIALS -profileName $PROFILE -f $NEW_TIP_HOME/products/tklm/migration/bin/removewar.jacl $LOGFILENAME
